Page MenuHomePhabricator

Create Zynatic content
Closed, ResolvedPublic8 Estimated Story Points

Description

While the WMSE membership system at Zynatic has been set up it is still lacking in the content.

Needed texts

  • Welcome text [Swedish/English] [rich text] - (under AdminUppdatera/skapa Välkomsttext) this is the confirmation text for new members. -- see final texts here
    • Standard message
    • One-off message for everyone who was imported - Per this comment it should include a request that they log in and review their information and give us their consent for us to handle the information.
  • Membership renewal [Swedish/English] -- see final texts here
    • Cover letter [rich text]
      • For individuals
      • Version for members that are organisations
    • Invoice (re-used for reminder)
      • Invoice heading [plain text] - short
      • Invoice message 1 [plain text] - extra instructions on the actual invoice (limited in size)
      • Invoice message 2 [plain text] - extra instructions next to the sum on the actual invoice (very limited in size)
      • Version for members that are organisations
    • Confirmation message [rich text] - The thank you message for returning members (re-used for reminder) - Broken out to T190263: Create confirmation/thank-you message for new members
  • Membership renewal reminder [Swedish/English] (i.e. the you have already received the message above) -- see final texts here
    • Cover letter [rich text]
      • For individuals
      • Version for members that are organisations
    • Invoice (re-used for reminder)(same as that for renewing members)
    • Confirmation message [rich text] (same as that for renewing members)

other content

  • Footer (today only this image)
  • Graphics/colours
  • Member landing page [rich text] [ link ]- i.e. the page members see when they have logged in (and have no fee reminders). The text will be visible where the red highlighting is on the image below

Event Timeline

Lokal_Profil updated the task description. (Show Details)Feb 1 2018, 2:01 PM
Lokal_Profil updated the task description. (Show Details)Feb 2 2018, 8:50 AM
Jopparn added a subscriber: Jopparn.EditedFeb 2 2018, 8:51 AM

On our website we have the following instructions to people using Swish or bankgiro: "Medlemskap kostar 100 kr per år för privatpersoner, sätt in pengarna på bankgiro 5822-9915 eller Swish 123 269 269 7 och ange: "medlem" och din epost så kontaktar vi dig och tar in namn och övriga kontaktuppgifter."

This should be included in the text on the invoice generated from Zynatic.

Lokal_Profil added a comment.EditedFeb 2 2018, 9:16 AM

On our website we have the following instructions to people using Swish or bankgiro: "Medlemskap kostar 100 kr per år för privatpersoner, sätt in pengarna på bankgiro 5822-9915 eller Swish 123 269 269 7 och ange: "medlem" och din epost så kontaktar vi dig och tar in namn och övriga kontaktuppgifter."

This should be included in the text on the invoice generated from Zynatic.

Since the invoice contains a reference number it would be great if that could also be integrated into the message to make it easier to match a payment to the original invoice.

Our earlier membership renewal + reminder text can be found at wmse:Påminnelsebrev

SaraMortsell updated the task description. (Show Details)Feb 12 2018, 1:19 PM
SaraMortsell updated the task description. (Show Details)

Some of the e-mail layouting will be done as part of T187067: Create call for Annual General Meeting (AGM)

Lokal_Profil updated the task description. (Show Details)Feb 13 2018, 2:04 PM
Lokal_Profil updated the task description. (Show Details)Feb 14 2018, 3:19 PM
Lokal_Profil updated the task description. (Show Details)

The default text for consent is:

Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att administrera föreningen, söka olika bidrag, teckna försäkringar m.m. Följande personuppgifter om dig kommer att behandlas av föreningen: namn, födelsedatum, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret.

We will need to update this but some of the details still need to be specified per the Personuppgiftsbiträdesavtal in (T185474: Ensure GDPR compatibility of Zynatic and our use of it)

Jopparn moved this task from Backlog to This week on the User-SaraMortsell board.Feb 19 2018, 10:41 AM
Lokal_Profil added a comment.EditedFeb 21 2018, 4:24 PM

Kort skiss på text till de som blivit medlemmar och får första utskick från systemet:

Hej %förnamn%!

Tack för att du valt att stödja Wikimedia Sverige med ditt medlemskap. <nått om värdet av ett medlemskap för vårt arbete>.

I samband med att du blev medlem samtyckte du även till att vi förde in personuppgifter om dig i vårt medlemssystem som du hittar på https://medlem.wikimedia.se. I framtiden kan du logga in där <instruktioner?> för att se över dina medlemsuppgifter och hantera ditt medlemskap. Om du har funeringar på hur Wikimedia Sverige använder informationen i medlemsregistretså bör du i första hand läsa vår Integritetspolicy <länk>, har ytterligare frågor kring ditt medlemskap eller personuppgifter ber vi dig att kontakta medlem[AT]wikimedia.se.

<Avslutningsfras och signatur>

Also add something about the open mailing lists and facebook groups.

Short list of various messages needed:

  • GDPR consent
  • Member landing page [if editable] (i.e. the page members see when they have logged in (and have no fee reminders).
  • Membership reminder text (not editable today but would be good to prep for when it is)
  • Welcome to the membership system (doubles as confirmation text for new members)
  • Welcome to the membership system (one-off for everyone who was imported)

Membership renewal (Swedish and English)

  • Mail/Letter accompanying invoice (the amount of tezt on the actual invoice is limited
  • invoice message field 1
  • invoice message field 2
  • confirmation message sent out via e-mail

Membership renewal reminder (Swedish and English)

  • Mail/Letter accompanying invoice (the amount of tezt on the actual invoice is limited
  • invoice message field 1
  • invoice message field 2
  • confirmation message sent out via e-mail

Also worth considering if any of the invvoice texts needs to be different for members that are organisations

Kort skiss på text till de som blivit medlemmar och får första utskick från systemet:

Hej %förnamn%!

Tack för att du valt att stödja Wikimedia Sverige med ditt medlemskap. <nått om värdet av ett medlemskap för vårt arbete>.

I samband med att du blev medlem samtyckte du även till att vi förde in personuppgifter om dig i vårt medlemssystem som du hittar på https://medlem.wikimedia.se. I framtiden kan du logga in där <instruktioner?> för att se över dina medlemsuppgifter och hantera ditt medlemskap. Om du har funeringar på hur Wikimedia Sverige använder informationen i medlemsregistretså bör du i första hand läsa vår Integritetspolicy <länk>, har ytterligare frågor kring ditt medlemskap eller personuppgifter ber vi dig att kontakta medlem[AT]wikimedia.se.

<Avslutningsfras och signatur>

Also add something about the open mailing lists and facebook groups.

Suggestion for addition in the opening line: Ditt och andras medlemsengagemang stärker föreningens röst och kvalitet med vilken vi kan genomföra visionen om fri kunskap.

Good suggestion. I also think a chunk of this text can be reused for the membership renewal text.

We should keep this procedure in the back of our mind for letters to new members and for everyone getting the you have been imported message.

Jopparn set the point value for this task to 8.Mar 5 2018, 10:24 AM
Lokal_Profil updated the task description. (Show Details)Mar 6 2018, 1:27 PM
Lokal_Profil updated the task description. (Show Details)Mar 6 2018, 1:33 PM
Lokal_Profil updated the task description. (Show Details)
Lokal_Profil updated the task description. (Show Details)Mar 15 2018, 8:20 AM
Lokal_Profil updated the task description. (Show Details)Mar 15 2018, 8:52 AM
Lokal_Profil updated the task description. (Show Details)Mar 15 2018, 3:37 PM

The default text for consent is:

Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att administrera föreningen, söka olika bidrag, teckna försäkringar m.m. Följande personuppgifter om dig kommer att behandlas av föreningen: namn, födelsedatum, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret.

We will need to update this but some of the details still need to be specified per the Personuppgiftsbiträdesavtal in (T185474: Ensure GDPR compatibility of Zynatic and our use of it)

I have a few suggestions/thoughts about the text.

  1. The text should be updated to include also gender, and that we will use it for statistical analysis (gender and geographical division amongst our members for example).
  2. It now says "Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret". Is it specified somewhere what the "syfte" is? If not, I would think that this should be removed.
  3. Also, should it not be stated that we won't ever sell any personal data?

"Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att administrera föreningen, söka olika bidrag, statistiska analyser, teckna försäkringar och liknande. Följande personuppgifter om dig kommer att behandlas av föreningen: namn, födelsedatum, kön, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret."

In the processor agreement with Zynatic, we defined the purpose of the register according to the following:
Personuppgifterna kommer att behandlas enligt följande:

  • Utskick av kallelse till årsmöte och andra medlemsmöten.
  • Utskick av information om föreningen och event relevanta för medlemmar, i det fall medlemmen accepterat utskick.
  • Utskick av medlemsundersökningar.
  • Utskick om årlig förnyelse av medlemskap, samt efterföljande påminnelser.
  • Sammanställning av anonymiserad statistik om medlemsgruppen.
Jopparn added a comment.EditedMar 16 2018, 12:05 AM

Then it would look like this - the question is if it fits everywhere it is used:

"Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att uppfylla våra åtaganden gentemot våra medlemmar, såsom:

  • Utskick av kallelse till årsmöte och andra medlemsmöten.
  • Utskick av information om föreningen och event relevanta för medlemmar, i det fall medlemmen accepterat utskick.
  • Utskick av medlemsundersökningar.
  • Utskick om årlig förnyelse av medlemskap, samt efterföljande påminnelser.
  • Sammanställning av anonymiserad statistik om medlemsgruppen.

Följande personuppgifter om dig kommer att behandlas av föreningen: namn, födelsedatum, kön, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret. För Wikimedia Sveriges integritetspolicy se https://se.wikimedia.org/wiki/Integritetspolicy"

Lokal_Profil added a comment.EditedMar 16 2018, 1:51 PM

The field does note allow for any formatting (such as bullet points or links). The current content is :

Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att administrera föreningen, söka olika bidrag, teckna försäkringar m.m. Följande personuppgifter om dig kommer att behandlas av föreningen: namn, födelsedatum, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret. För Wikimedia Sveriges integritetspolicy se https://se.wikimedia.org/wiki/Integritetspolicy

A proposed new version based on the text by @Jopparn above would be:

Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att uppfylla våra åtaganden gentemot våra medlemmar, såsom: Utskick av kallelse till årsmöte och andra medlemsmöten; Utskick av information om föreningen och event relevanta för medlemmar, i det fall medlemmen accepterat utskick; Utskick av medlemsundersökningar; Utskick om årlig förnyelse av medlemskap, samt efterföljande påminnelser; Sammanställning av anonymiserad statistik om medlemsgruppen. Följande personuppgifter om dig kommer att behandlas av föreningen: namn, födelsedatum, kön, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret. För Wikimedia Sveriges integritetspolicy se https://se.wikimedia.org/wiki/Integritetspolicy"

My worry with that version is the phrase "våra åtaganden gentemot våra medlemmar" which doesn't include anything other than the kallelse.

Could the "syfte" be described in the Integritetspolicy and then we have:

Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att administrera mitt medlemskap och ta kontakt med mig. Följande personuppgifter om mig kommer att behandlas av föreningen: namn, födelsedatum, kön, adress, e-postadress och telefonnummer. Behandlingen kommer endast att ske utifrån föreningens syfte med medlemsregistret vilket beskrivs i Wikimedia Sveriges integritetspolicy på https://se.wikimedia.org/wiki/Integritetspolicy

The benefit is that we can go into details about e.g. why we collect birth date there. Something we do not have space for in this tiny field.

Once this message is fixed we should add it to our wiki together with an English translation. That way we can link to it from the English version of the welcome letter.

Lokal_Profil added a comment.EditedMar 16 2018, 3:10 PM

Per discussion the following text will be used in the system:

Jag ger mitt samtycke till att Wikimedia Sverige hanterar mina personuppgifter för att uppfylla sina åtaganden gentemot våra medlemmar, såsom: Utskick av kallelse till årsmöte och andra medlemsmöten; Utskick av information om föreningen och event relevanta för medlemmar, i det fall medlemmen accepterat utskick; Utskick av medlemsundersökningar; Utskick om årlig förnyelse av medlemskap, samt efterföljande påminnelser; Sammanställning av anonymiserad statistik om medlemsgruppen. Följande personuppgifter om mig kommer att behandlas av föreningen: namn, födelsedatum, kön, adress, e-postadress, telefonnummer, användarnamn och betalningshistorik. För Wikimedia Sveriges integritetspolicy se https://se.wikimedia.org/wiki/Integritetspolicy.

Edit 1: adding a full stop to the end
Edit 2: changing "våra" to "sina" to fit with the phrasing of this being a statment from the member (not from us).
Edit 3: changing "dig" to "mig" per same reason as edit 2.

Great! Let's go with that.

Lokal_Profil updated the task description. (Show Details)Mar 16 2018, 3:13 PM
Lokal_Profil updated the task description. (Show Details)Mar 16 2018, 3:48 PM
  • Member landing page [rich text] [ link ]- i.e. the page members see when they have logged in (and have no fee reminders). The text will be visible where the red highlighting is on the image below

I added a short text saying people may be interested in the new page on the wiki. For now that shuld be enough.

Lokal_Profil updated the task description. (Show Details)Mar 16 2018, 3:57 PM
Lokal_Profil updated the task description. (Show Details)Mar 16 2018, 4:02 PM

Maybe break out the confirmation/"thank you" message as a separate task (since it will get handled separately at a later point)?

Lokal_Profil added a subscriber: Evelina-Bang-WMSE.

I've broken out the confirmation/thank-you message to T190263: Create confirmation/thank-you message for new members. @SaraMortsell / @Evelina-Bang-WMSE will one of you pick that one up? The text(s) will be needed once we start processing renewed memberships.

Lokal_Profil closed this task as Resolved.Apr 5 2018, 9:43 AM
Lokal_Profil assigned this task to SaraMortsell.
Lokal_Profil moved this task from This week to Done on the User-SaraMortsell board.

These have all been created or broken out as subtasks. T190497: Move Zynatic texts on wiki to a permanent home deals with moving these pages to a better home.